<?php
 /**
 *      [XCECP] (C) COLNET Inc.
 *      This is NOT a freeware, use is subject to license terms
 */
if(!defined("IN_QKWEB")){exit("Access Denied");}
function smarty_block_orderservice($params, $content, $smarty, &$repeat)
{ 
	
  	if(!isset($params['name']) || $params['name']==""){
		$params['name'] = "item";
	}
	$dataindex = md5(__FUNCTION__ . md5(serialize($params)));
	if(!isset($smarty->block_data)){$smarty->block_data=array();}
	if(!isset($smarty->block_data[$dataindex])){
		$page = getgpc("page");
		$wheres = "";
		if(isset($params['limit']) && $params['limit']!="" && settype($params['limit'],"integer")){
			$limit = $params['limit'];
		}else{
			$limit = 10;
		}
		$pageSize = $limit;
		$smarty->assign("limit",$limit);
		$limit = "limit $limit";
		$page = getgpc("page");
		if(!$page || !settype($page,"integer")){$page=1;}
		$offset = ($page-1)*$pageSize;
		$limit = "limit $offset,$pageSize";
		if($page && settype($page,"integer")){
			$offset = ($page-1)*$pageSize;
			$limit = "limit $offset,$pageSize";
		}

		if(isset($params['userId']) && $params['userId']!="" && settype($params['userId'],"integer")){
			$userId = $params['userId'];
		}else{
			$userId = false;
		}	
		if($userId){$wheres .= "and userId='$userId'";}

		if(isset($params['id']) && $params['id']!="" && settype($params['id'],"integer")){
			$id = $params['id'];
		}else{
			$id = false;
		}	
		if($id){$wheres .= "and id='$id'";}

		$allCount = $GLOBALS['db']->getOne("select count(id) from qk_order_service where 1=1 $wheres");
		$smarty->assign("allCount",$allCount);
		$res = $GLOBALS['db']->getAll("select * from qk_order_service where 1=1 $wheres order by id desc $limit");
		$i = 0;
		foreach($res as $k=>$v){
			$res[$i]['goodsInfo']=$GLOBALS['db']->getRow("select name from qk_goods where id='".$v['goodsId']."'");
			$res[$i]['typeInfo']=$GLOBALS['db']->getRow("select name from qk_order_service_type where id='".$v['typeId']."'");
			$i++;
		}
		$smarty->block_data[$dataindex]=$res;
	}
	if(is_array($smarty->block_data[$dataindex]) && $smarty->block_data[$dataindex]){
		$item = array_shift($smarty->block_data[$dataindex]);
		$smarty->assign($params['name'], $item);
		if(count($smarty->block_data[$dataindex])==0){
			$smarty->block_data[$dataindex] = false;
		}
		$repeat= true;
	}else{
		unset($smarty->block_data[$dataindex]);
		$repeat = false;
	}
	echo $content;
}

?>